Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# BaseTypeDescriptor Class Reference

Inheritance diagram for BaseTypeDescriptor:

List of all members.

## Public Member Functions
def | __init__
def | generateGlobalCode
def | generateReturnValueWrapper
def | getFullNestedName
def | isAtomic
def | recordOverloadedMethods
def | recursiveTypeDescriptor
## Public Attributes
| atomicType
| comment
| foreignTypeName
| isNested
| moduleName
| outerType
| parentTypes
| prototype
| typeIndex

## Detailed Description

    A type descriptor contains everything you need to know about a C++ function,
    class, or primitive.

## Constructor & Destructor Documentation

def __init__ | ( |  | self | ) |

Reimplemented in PrimitiveTypeDescriptor, PyObjectTypeDescriptor, EnumTypeDescriptor, DerivedTypeDescriptor, PointerTypeDescriptor, ConstTypeDescriptor, ClassTypeDescriptor, and FunctionTypeDescriptor.

## Member Function Documentation

def generateGlobalCode | ( |  | self,
|  |  | dir,
|  |  | extensionsDir
| ) |  |

Reimplemented in EnumTypeDescriptor, and ClassTypeDescriptor.

def generateReturnValueWrapper | ( |  | self,
|  |  | classTypeDesc,
|  |  | file,
|  |  | userManagesMemory,
|  |  | needsDowncast,
|  |  | nesting
| ) |  |

Reimplemented in PrimitiveTypeDescriptor, PyObjectTypeDescriptor, and ClassTypeDescriptor.

def getFullNestedName | ( |  | self | ) |

    If this type is nested, it will return the fully specified name
    For example:  OuterClass.InnerClass.ReallyInnerClass

def isAtomic | ( |  | self | ) |

def recordOverloadedMethods | ( |  | self | ) |

Reimplemented in ClassTypeDescriptor.

def recursiveTypeDescriptor | ( |  | self | ) |

    Attempt to get to the bottom of a type descriptor
    Since we are at the bottom when we get here, just return self

Reimplemented in DerivedTypeDescriptor.

## Member Data Documentation

atomicType

comment

foreignTypeName

Reimplemented in ClassTypeDescriptor.

isNested

moduleName

Reimplemented in FunctionTypeDescriptor.

outerType

parentTypes

Reimplemented in EnumTypeDescriptor.

prototype

typeIndex

All Classes Namespaces Functions Variables Enumerations Enumerator Properties